Proxies Package

A list of all publicly available methods for interacting with the API.

GET

Proxies list -/package/proxy-list/{id}

Query method

GEThttp://apilocal.stableproxy.com/v2/package/proxy-list/{id}

Query parameters

IdentifierRegulationsExample
with-hiddenNot necessarilynullableex-booleanfalse
countriesNot necessarilynullablearray{"UA": 10, "PL": 20}
searchNot necessarilynullablestring49
per-pageNot necessarilynullableinteger40
pageNot necessarilynullableinteger94
sort-byNot necessarilynullablestringapp\_validators\_ex_in_rule""
sort-orderNot necessarilynullablestringin:asc, desc"asc"
countries.*Not necessarilydistinctstringcountry_code{"UA": 10, "PL": 20}
id1required97

Code examples

async function getPackageProxyList() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/proxy-list/{id}'
      .replace("{id}", 97) + '?' + Object.entries({
         "with-hidden": false,
         "countries[UA]": 10,
         "countries[PL]": 20,
         "search": 49,
         "per-page": 40,
         "page": 94,
         "sort-by": "",
         "sort-order": "asc",
         "countries.*[UA]": 10,
         "countries.*[PL]": 20
      }).map(([key, value]) => key + "=" + value).join('&'), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

GET

Get available country cities Get available city in residential country or regions -/package/proxy/{id}/cities

Query method

GEThttp://apilocal.stableproxy.com/v2/package/proxy/{id}/cities

Query parameters

IdentifierRegulationsExample
regionsNot necessarilyarraydistinct[]
countrystringrequiredcountry_code""
regions.*Not necessarilystring""
id1required93

Code examples

async function getPackageProxyCities() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/proxy/{id}/cities'
      .replace("{id}", 93) + '?' + Object.entries({
         "regions": [],
         "country": "",
         "regions.*": ""
      }).map(([key, value]) => key + "=" + value).join('&'), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

GET

Get available country regions Get available regions in residential country -/package/proxy/{id}/regions

Query method

GEThttp://apilocal.stableproxy.com/v2/package/proxy/{id}/regions

Query parameters

IdentifierRegulationsExample
countrystringrequiredcountry_code""
id1required16

Code examples

async function getPackageProxyRegions() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/proxy/{id}/regions'
      .replace("{id}", 16) + '?' + Object.entries({
         "country": ""
      }).map(([key, value]) => key + "=" + value).join('&'), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

GET

Get proxy Get proxy bfrom list by index. -/package/proxy/{id}/{proxyIndex}

Query method

GEThttp://apilocal.stableproxy.com/v2/package/proxy/{id}/{proxyIndex}

Query parameters

IdentifierRegulationsExample
id1required56
proxyIndex1required46

Code examples

async function getPackageProxy() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/proxy/{id}/{proxyIndex}'
      .replace("{id}", 56)
      .replace("{proxyIndex}", 46), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

PUT

Hide proxy Hide selected proxy from list (but it will work, only visual)) -/package/hide/{id}/{proxyIndex}

Query method

PUThttp://apilocal.stableproxy.com/v2/package/hide/{id}/{proxyIndex}

Query parameters

IdentifierRegulationsExample
id1required58
proxyIndex1required72

Code examples

async function putPackageHide() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/hide/{id}/{proxyIndex}'
      .replace("{id}", 58)
      .replace("{proxyIndex}", 72), {
         method: 'PUT',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

GET

Get note You can read note for proxy. -/package/note/{id}/{proxyIndex}

Query method

GEThttp://apilocal.stableproxy.com/v2/package/note/{id}/{proxyIndex}

Query parameters

IdentifierRegulationsExample
noteNot necessarilynullablestring98
id1required6
proxyIndex1required95

Code examples

async function getPackageNote() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/note/{id}/{proxyIndex}'
      .replace("{id}", 6)
      .replace("{proxyIndex}", 95) + '?' + Object.entries({
         "note": 98
      }).map(([key, value]) => key + "=" + value).join('&'), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

PUT

Change note Add personal note for proxy in package. -/package/note/{id}/{proxyIndex}

Query method

PUThttp://apilocal.stableproxy.com/v2/package/note/{id}/{proxyIndex}

Query parameters

IdentifierRegulationsExample
noteNot necessarilynullablestring98
id1required6
proxyIndex1required95

Code examples

async function putPackageNote() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/note/{id}/{proxyIndex}'
      .replace("{id}", 6)
      .replace("{proxyIndex}", 95), {
         method: 'PUT',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         },
         body: JSON.stringify({
            "note": 98
         }),
      }
   );
   
   const res = await req.json();
}

Examples of answers

GETPUT

Rotate proxy Rotate proxy, residential, mobile - change ip. -/package/proxy-rotate/{id}/{proxyIndex}

Query method

GEThttp://apilocal.stableproxy.com/v2/package/proxy-rotate/{id}/{proxyIndex}

Query parameters

IdentifierRegulationsExample
id1required82
proxyIndex1required72

Code examples

async function getPackageProxyRotate() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/proxy-rotate/{id}/{proxyIndex}'
      .replace("{id}", 82)
      .replace("{proxyIndex}", 72), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

POST

Add proxy Add custom user proxy, like for residential constructor. -/package/proxy/{id}

Query method

POSThttp://apilocal.stableproxy.com/v2/package/proxy/{id}

Query parameters

IdentifierRegulationsExample
fixedrequiredex-booleanfalse
intervalrequiredinteger49
countrequiredinteger30
countriesNot necessarilynullablearray{"UA": 10, "PL": 20}
countries.*Not necessarilydistinctstringcountry_code{"UA": 10, "PL": 20}
id1required99

Code examples

async function postPackageProxy() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/proxy/{id}'
      .replace("{id}", 99), {
         method: 'POST',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         },
         body: JSON.stringify({
            "fixed": false,
            "interval": 49,
            "count": 30,
            "countries": {"UA": 10, "PL": 20},
            "countries.*": {"UA": 10, "PL": 20}
         }),
      }
   );
   
   const res = await req.json();
}

Examples of answers

DELETE

Remove proxy Proxies Package -/package/proxy/{id}/{proxyIndex}

Query method

DELETEhttp://apilocal.stableproxy.com/v2/package/proxy/{id}/{proxyIndex}

Query parameters

IdentifierRegulationsExample
id1required56
proxyIndex1required46

Code examples

async function deletePackageProxy() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/proxy/{id}/{proxyIndex}'
      .replace("{id}", 56)
      .replace("{proxyIndex}", 46), {
         method: 'DELETE',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

PUT

Replace proxies -/package/replace/{id}/{type}

Query method

PUThttp://apilocal.stableproxy.com/v2/package/replace/{id}/{type}

Query parameters

IdentifierRegulationsExample
type1in:non-workingrequired"non-working"
id1required56

Code examples

async function putPackageReplace() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/replace/{id}/{type}'
      .replace("{id}", 56)
      .replace("{type}", "non-working"), {
         method: 'PUT',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers